"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.start = void 0;
const utils_1 = require("./utils");
const start = () => __awaiter(void 0, void 0, void 0, function* () {
    const jestCommand = utils_1.generateJestCommand();
    const coverageSummary = yield utils_1.generateCoverageSummary(jestCommand);
    const percent = yield utils_1.getCoveragePercent();
    const comment = utils_1.generateComment(percent, coverageSummary);
    yield utils_1.createComment(comment);
});
exports.start = start;
